
.btn {
	color: #fff;
	border: none;
	outline: none;
	cursor: pointer;
	font-weight: 500;
	font-size: font-size-rel(15px);
	line-height: font-size-rel(20px);
	padding: 15px 25px;
	user-select: none;
	text-align: center;
	border-radius: 4px;
	white-space: nowrap;
	text-decoration: none;
	background: $blue-100;
	display: inline-block;
	vertical-align: middle;
	font-family: $font-family-base;

	svg {
		fill: #fff;
	}

	&:hover {
		color: #fff;
		background: #3974E5;
		text-decoration: none;

		svg {
			fill: #fff;
		}
	}

	&:active {
		background: #2D5BB2;
	}

	&:focus,
	&.focus {
		outline: 0;
	}
}

.btn-white {
	color: #3737DE;
	background: $white;
	border: 1px solid #EFEFEF;
	box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);

	&:hover {
		color: #fff;
		background: $blue;
		border: 1px solid $blue;
	}

	&:active {
		color: $dark;
		background: #FFFFFF;
		border: 1px solid #EFEFEF;
	}
}

.btn-border {
	color: $blue;
	background: transparent;
	padding: 14px 24px;
	border: 1px solid $blue;

	&:hover {
		color: #fff;
		padding: 13px 23px;
		background: $blue;
	}

	&:active {
		color: #2D5BB2;
		padding: 14px 24px;
		background: #fff;
		background: transparent;
		border: 1px solid #2D5BB2;
	}
}

.btn-border-gray {
	padding: 14px 24px;
	background: #fff;
	color: rgba(34, 45, 47, 0.5);
	border: 1px solid rgba(34, 45, 47, 0.5);

	svg {
		fill: rgba(34, 45, 47, 0.5);
	}

	&:hover {
		color: $color-blue;
		padding: 13px 23px;
		background: #fff;
		border: 2px solid $color-blue;

		svg {
			fill: $color-blue;
		}
	}

	&:active {
		color: #2D5BB2;
		padding: 14px 24px;
		background: #fff;
		border: 1px solid #2D5BB2;

		svg {
			fill: $color-blue;
		}
	}
}

.btn-icon {
	height: 50px;
	padding: 10px 25px;
	display: flex;
	align-items: center;
	justify-content: center;

	i {
		font-size: 0;
		line-height: 0;
		display: block;
		margin-right: 5px;
	}

	b {
		width: 20px;
		height: 20px;
		font-size: 0;
		line-height: 0;
		display: block;
		margin-right: 5px;
	}

	span {
		display: block;
	}
}

.btn-text {
	margin: 0;
	padding: 0;
	border: none;
	outline: none;
	color: #222D2F;
	cursor: pointer;
	background: transparent;
	text-decoration: none;
	display: flex;
	align-items: center;
	justify-content: center;

	svg {
		fill: #222D2F;
	}

	&:hover {
		color: $color-blue;

		svg {
			fill: $color-blue;
		}
	}

	b {
		width: 20px;
		height: 20px;
		font-size: 0;
		line-height: 0;
		display: block;
		margin-right: 5px;
	}

	span {
		display: block;
	}
}

.btn-text-gray {
	opacity: 0.5;

	&:hover {
		opacity: 1;
	}
}